package vip.xiaonuo.production.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Param;
import vip.xiaonuo.production.entity.ProductionEnergy;
import vip.xiaonuo.production.entity.ProductionWriteEnergy;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import vip.xiaonuo.production.entity.ProductionWritePlan;
import vip.xiaonuo.production.entity.vo.ProductionWriteEnergyVo;
import vip.xiaonuo.production.param.TargetListDetailVos;

import java.util.List;

/**
 * <p>
 * 车间能耗数据填报 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2025-01-07
 */
public interface ProductionWriteEnergyMapper extends BaseMapper<ProductionWriteEnergy> {

    List<TargetListDetailVos> getListDetail(@Param(Constants.WRAPPER) QueryWrapper<ProductionWritePlan> wrapper);

    TargetListDetailVos getCountDetaile( @Param(Constants.WRAPPER) QueryWrapper<ProductionWritePlan> wrapper);

    List<ProductionWriteEnergyVo> selectYear(@Param(Constants.WRAPPER)QueryWrapper<ProductionEnergy> wrapper
            , @Param(value = "electricity") String electricity
            , @Param(value = "zhengQi") String zhengQi, @Param(value = "danQi") String danQi
            , @Param(value = "yaSuo") String yaSuo, @Param(value = "roWater") String roWater
            , @Param(value = "zlWater")String zlWater, @Param(value = "xhWater")String xhWater
            , @Param(value = "qdWater")String qdWater, @Param(value = "swdWater") String swdWater
            , @Param(value = "eswdWater") String eswdWater, @Param(value = "reWater") String reWater
            , @Param(value = "diwenWater") String diwenWater, @Param(value = "fuSwdYierchun") String fuSwdYierchun
            , @Param(value = "fuEswdYierchun") String fuEswdYierchun);


    List<ProductionWriteEnergyVo> selectMonth(@Param(Constants.WRAPPER)QueryWrapper<ProductionEnergy> wrapper
            , @Param(value = "electricity") String electricity
            , @Param(value = "zhengQi") String zhengQi, @Param(value = "danQi") String danQi
            , @Param(value = "yaSuo") String yaSuo, @Param(value = "roWater") String roWater
            , @Param(value = "zlWater")String zlWater, @Param(value = "xhWater")String xhWater
            , @Param(value = "qdWater")String qdWater, @Param(value = "swdWater") String swdWater
            , @Param(value = "eswdWater") String eswdWater, @Param(value = "reWater") String reWater
            , @Param(value = "diwenWater") String diwenWater, @Param(value = "fuSwdYierchun") String fuSwdYierchun
            , @Param(value = "fuEswdYierchun") String fuEswdYierchun);
}
