package vip.xiaonuo.production.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import vip.xiaonuo.production.entity.ProductionConsume;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.production.param.ProductionConsumeAddParam;
import vip.xiaonuo.production.param.ProductionConsumeEditParam;
import vip.xiaonuo.production.param.ProductionConsumeIdParam;
import vip.xiaonuo.production.param.ProductionConsumeParam;

import java.util.List;

/**
 * <p>
 * 生产管控单耗 服务类
 * </p>
 *
 * @author author
 * @since 2024-12-12
 */
public interface IProductionConsumeService extends IService<ProductionConsume> {

    Page<ProductionConsume> getList(ProductionConsumeParam consumeParam);
    /**
     * 添加生产管控单耗
     *
     * @author 1
     * @date  2025/03/04 09:17
     */
    void add(ProductionConsumeAddParam productionConsumeAddParam);

    /**
     * 编辑生产管控单耗
     *
     * @author 1
     * @date  2025/03/04 09:17
     */
    void edit(ProductionConsumeEditParam productionConsumeEditParam);

    /**
     * 删除生产管控单耗
     *
     * @author 1
     * @date  2025/03/04 09:17
     */
    void delete(ProductionConsumeIdParam productionConsumeIdParamList);

    /**
     * 获取生产管控单耗详情
     *
     * @author 1
     * @date  2025/03/04 09:17
     */
    ProductionConsume detail(ProductionConsumeIdParam productionConsumeIdParam);


}
