package vip.xiaonuo.quality.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 质量试剂出库
 * </p>
 *
 * @author author
 * @since 2025-03-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("quality_reagent_out_stock")
public class QualityReagentOutStock implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;


    /**
     * 试剂名称
     */
    @ApiModelProperty(value = "试剂名称",position = 2)
    private String reagent;

    /**
     * 出库数量
     */
    @ApiModelProperty(value = "出库数量",position = 3)
    private String outValue;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间",position = 4)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id",position = 5)
    private String orgId;

    /**
     * 组织名称
     */
    @ApiModelProperty(value = "组织名称",position = 6)
    private String orgName;


}
