package vip.xiaonuo.risk.controller;


import com.alibaba.fastjson.JSONArray;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.risk.entity.RiskSale;
import vip.xiaonuo.risk.entity.RiskSupplier;
import vip.xiaonuo.risk.param.RiskSaleParam;
import vip.xiaonuo.risk.param.RiskSupplierParam;
import vip.xiaonuo.risk.service.IRiskSupplierService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 风控供应商交货 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-12-09
 */
@RestController
@Api(tags = "风控供应商交货")
@ApiSupport(author = "wang", order = 1)
@Validated
public class RiskSupplierController {

    @Autowired
    private IRiskSupplierService supplierService;

    @ApiOperationSupport(order = 1)
    @ApiOperation("供应商交货准确率")
    @PostMapping("/risk-supplier/getList")
    public CommonResult<List<RiskSupplier>> getList(@RequestBody RiskSupplierParam riskSupplierParam) {
        return CommonResult.data(supplierService.getList(riskSupplierParam));
    }

    @ApiOperationSupport(order = 2)
    @ApiOperation("供应商列表")
    @PostMapping("/risk-supplier/listSupplier")
    public CommonResult<JSONArray> listSupplier(@RequestBody Map<String, String> paramsMap) {
        return CommonResult.data(supplierService.listSupplier(paramsMap));
    }
}
