package vip.xiaonuo.sale.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.sale.entity.SaleOrder;
import vip.xiaonuo.sale.entity.SaleOverdue;
import vip.xiaonuo.sale.param.SaleOrderParam;
import vip.xiaonuo.sale.param.SaleOverdueParam;
import vip.xiaonuo.sale.service.ISaleOverdueService;

import java.util.List;

/**
 * <p>
 * 销售逾期合同 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-12-13
 */
@RestController
@Api(tags = "销售逾期合同")
@ApiSupport(author = "wang", order = 1)
@Validated
public class SaleOverdueController {

    @Autowired
    private ISaleOverdueService overdueService;

    @PostMapping("/sale-overdue/getList")
    @ApiOperationSupport(order = 1)
    @ApiOperation("销售逾期合同列表")
    public CommonResult<Page<SaleOverdue>> getList(@RequestBody SaleOverdueParam overdueParam) {
        return CommonResult.data(overdueService.getList(overdueParam));
    }
}
