package vip.xiaonuo.write.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 检验记录列表
 * </p>
 *
 * @author author
 * @since 2025-01-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("write_list")
public class WriteList implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 记录类型 0为不合格品台账
     */
    @ApiModelProperty(value = "记录类型 0为不合格品台账",position =1 )
    private Integer type;

    /**
     * 品名
     */
    @ApiModelProperty(value = "品名",position = 2)
    private String name;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", position = 3)
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date date;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id",position = 4)
    private String orgId;


    @ApiModelProperty(value = "编制日期",position = 5)
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date editTime;

    @ApiModelProperty(value = "审核日期",position = 6)
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date examineTime;

    @ApiModelProperty(value = "年",position = 7)
    private String year;

}
