package vip.xiaonuo.write.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 成品检验台账填报
 * </p>
 *
 * @author author
 * @since 2025-03-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("write_product")
public class WriteProduct implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 检验产品
     */
    @ApiModelProperty(value = "检验产品", position =1)
    private String productionName;

    /**
     * 检验数量
     */
    @ApiModelProperty(value = "检验数量", position =2)
    private String productionNumber;

    /**
     * 是否合格 0为合格 1为不合格
     */
    @ApiModelProperty(value = "是否合格 0为合格 1为不合格", position =3)
    private Integer isQualified;

    /**
     * 规格
     */
    @ApiModelProperty(value = "规格", position =4)
    private String specifications;

    /**
     * 自编批号
     */
    @ApiModelProperty(value = "自编批号", position =5)
    private String selfBatch;

    /**
     * 厂家批号
     */
    @ApiModelProperty(value = "厂家批号", position =6)
    private String factoryBatch;

    /**
     * 生产单位
     */
    @ApiModelProperty(value = "生产单位", position =7)
    private String productionUnit;

    /**
     * 检验编号
     */
    @ApiModelProperty(value = "检验编号", position =8)
    private String inspectionNumber;

    /**
     * 取样日期
     */
    @ApiModelProperty(value = "取样日期", position =9)
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date sampleDate;

    /**
     * 报告日期
     */
    @ApiModelProperty(value = "报告日期", position =10)
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date reportDate;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id", position =11)
    private String orgId;

    @ApiModelProperty(value = "组织名称", position =12)
    private String orgName;

}
