package vip.xiaonuo.write.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 通用预警阈值
 * </p>
 *
 * @author author
 * @since 2025-03-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("write_threshold")
public class WriteThreshold implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 模块划分0财务1人事2采购3仓库4风控5生产6销售7质量
     */
    @ApiModelProperty(value = "模块划分0财务1人事2采购3仓库4风控5生产6销售7质量",position =1 )
    private Integer typeS;

    /**
     * 处理人名字
     */
    @ApiModelProperty(value = "处理人名字",position =2 )
    private String userName;

    /**
     * 处理人id
     */
    @ApiModelProperty(value = "处理人id",position = 3)
    private String userId;

    /**
     * 预警等级0普通 1重要
     */
    @ApiModelProperty(value = " 预警等级0普通 1重要",position =4 )
    private Integer levelS;

    /**
     * 指标
     */
    @ApiModelProperty(value = "指标",position = 5)
    private String indexS;

    /**
     * 组织id
     */
    @ApiModelProperty(value = "组织id",position =6 )
    private String orgId;


    /**
     * 指标
     */
    @ApiModelProperty(value = "指标id",position = 7)
    private Integer indexId;

    /**
     * 指标
     */
    @ApiModelProperty(value = "阈值",position = 8)
    private String valuesS;

    @ApiModelProperty(value = "0为小于等于 1为大于",position = 9)
    private Integer isTrue;

    @ApiModelProperty(value = "公司名称",position = 10)
    private String orgName;
}

